Name: x11-driver-input-wacom
Version: 1.2.3
Release: %mkrel 1
Summary: X.org input driver for Wacom tablets
Group: System/X11
URL: https://sourceforge.net/projects/linuxwacom/
# https://sourceforge.net/projects/linuxwacom/files/xf86-input-wacom/
Source0: https://github.com/linuxwacom/xf86-input-wacom/releases/download/xf86-input-wacom-%version/xf86-input-wacom-%version.tar.bz2
License: GPLv2+
BuildRequires: pkgconfig(inputproto)
BuildRequires: pkgconfig(kbproto)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(randrproto)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(xrandr)

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Obsoletes: linuxwacom <= 0.8.4
Provides: linuxwacom = %{version}-%{release}


%description
X.Org X11 wacom input driver for Wacom tablets.

%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%description devel
Development files for %{name}

%prep
%setup -q -n xf86-input-wacom-%{version}

%build
%configure \
	--with-systemd-unit-dir=%{_unitdir} \
        --with-udev-rules-dir=%{_prefix}/lib/udev/rules.d/
%make_build

%install
%make_install

%files
%{_bindir}/*
%{_libdir}/xorg/modules/input/wacom_drv.so
%{_mandir}/man4/wacom.4*
%{_mandir}/man1/xsetwacom.1*
%{_datadir}/X11/xorg.conf.d/70-wacom.conf
%exclude %{_unitdir}/*
%exclude %_udevrulesdir/*


%files devel
%{_includedir}/xorg/*
%{_libdir}/pkgconfig/xorg-wacom.pc


%changelog
* Wed Mar 26 2025 tv <tv> 1.2.3-1.mga10
+ Revision: 2170140
- xf86-input-wacom 1.2.3

* Tue Apr 02 2024 tv <tv> 1.2.1-1.mga10
+ Revision: 2053945
- xf86-input-wacom 1.2.1

* Thu Nov 10 2022 tv <tv> 1.1.0-1.mga9
+ Revision: 1905029
- xf86-input-wacom 1.1

* Fri Apr 01 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1838276
- Mageia 9 Mass Rebuild

* Mon Mar 07 2022 tv <tv> 1.0.0-1.mga9
+ Revision: 1789461
- 1.0.0

* Sun Aug 08 2021 luigiwalser <luigiwalser> 0.40.0-1.mga9
+ Revision: 1740315
- 0.40.0
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 0.39.0-2.mga8
+ Revision: 1541351
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Wed Dec 25 2019 tv <tv> 0.39.0-1.mga8
+ Revision: 1470014
- new release

* Wed Oct 16 2019 tv <tv> 0.38.0-1.mga8
+ Revision: 1454158
- new release

* Wed Jul 03 2019 tv <tv> 0.37.0-1.mga8
+ Revision: 1418081
- new release

* Sun Sep 23 2018 umeabot <umeabot> 0.36.1-2.mga7
+ Revision: 1301744
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 tv <tv> 0.36.1-1.mga7
+ Revision: 1210535
- new release

* Fri Mar 09 2018 tv <tv> 0.36.0-2.mga7
+ Revision: 1207635
- rebuild for xserver 1.20 RC1

* Sun Feb 18 2018 tv <tv> 0.36.0-1.mga7
+ Revision: 1202655
- new release

* Wed Jul 19 2017 tv <tv> 0.35.0-1.mga7
+ Revision: 1125100
- new release

* Tue Dec 13 2016 tv <tv> 0.34.0-1.mga6
+ Revision: 1074465
- new release

* Sun Nov 20 2016 tv <tv> 0.33.99.1-1.mga6
+ Revision: 1068476
- new release

* Thu Nov 17 2016 tv <tv> 0.33.0-3.mga6
+ Revision: 1067646
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 0.33.0-2.mga6
+ Revision: 1043348
- rebuild for xorg-server 1.18.4

* Fri May 27 2016 tv <tv> 0.33.0-1.mga6
+ Revision: 1018878
- new release

* Tue May 10 2016 tv <tv> 0.32.99.1-1.mga6
+ Revision: 1011948
- 33.0 RC1
- new release

* Fri Jan 01 2016 neoclust <neoclust> 0.32.0-2.mga6
+ Revision: 917795
- Rebuild so the right xserver-abi() exist on ARM

* Sun Dec 06 2015 tv <tv> 0.32.0-1.mga6
+ Revision: 908487
- new release

* Wed Nov 11 2015 tv <tv> 0.31.0-3.mga6
+ Revision: 902263
- submit to core/release

* Tue Nov 10 2015 tv <tv> 0.31.0-2.mga6
+ Revision: 901397
- rebuild for new xserver

* Sun Aug 23 2015 tv <tv> 0.31.0-1.mga6
+ Revision: 868188
- new release

* Fri Aug 14 2015 tv <tv> 0.30.99.1-1.mga6
+ Revision: 864765
- new release

* Sat Jun 20 2015 tv <tv> 0.30.0-1.mga6
+ Revision: 836014
- new release

* Sat Jun 20 2015 tv <tv> 0.26.1-3.mga6
+ Revision: 835917
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 0.26.1-2.mga5
+ Revision: 746858
- Second Mageia 5 Mass Rebuild

* Sat Oct 11 2014 tv <tv> 0.26.1-1.mga5
+ Revision: 737996
- new release

* Tue Sep 16 2014 umeabot <umeabot> 0.26.0-2.mga5
+ Revision: 690416
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 tv <tv> 0.26.0-1.mga5
+ Revision: 674949
- new release
- new release

* Sat Sep 06 2014 tv <tv> 0.25.99.2-1.mga5
+ Revision: 672547
- new release

* Mon Aug 18 2014 tv <tv> 0.25.99.1-1.mga5
+ Revision: 665274
- new release

* Wed Jun 25 2014 tv <tv> 0.25.0-1.mga5
+ Revision: 639558
- new release

* Mon Jun 09 2014 tv <tv> 0.24.0-5.mga5
+ Revision: 634962
- submit to core/release

* Fri Jun 06 2014 tv <tv> 0.24.0-4.mga5
+ Revision: 633631
- rebuild for new xserver RC

* Fri Jun 06 2014 tv <tv> 0.24.0-3.mga5
+ Revision: 633617
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 0.24.0-2.mga5
+ Revision: 614303
- rebuild for new xserver

* Mon Apr 14 2014 tv <tv> 0.24.0-1.mga5
+ Revision: 614053
- give up on file list
- fix file list (mismatch between i586 & x86_64)
- adjust file list
- new release

* Tue Feb 04 2014 tv <tv> 0.23.0-3.mga5
+ Revision: 582223
- rebuild for new xserver

* Mon Oct 21 2013 umeabot <umeabot> 0.23.0-2.mga4
+ Revision: 538247
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 tv <tv> 0.23.0-1.mga4
+ Revision: 489075
- new release

* Sun Jul 21 2013 tv <tv> 0.22.1-1.mga4
+ Revision: 456658
- new release

* Sun Jul 14 2013 tv <tv> 0.22.0-1.mga4
+ Revision: 454124
- new release

* Thu May 30 2013 tv <tv> 0.21.0-3.mga4
+ Revision: 433100
- submit to core/release

* Fri May 24 2013 tv <tv> 0.21.0-2.mga4
+ Revision: 425648
- rebuild with xserver-1.14

* Thu May 23 2013 tv <tv> 0.21.0-1.mga4
+ Revision: 424834
- new release

* Mon Jan 14 2013 umeabot <umeabot> 0.19.0-2.mga3
+ Revision: 385968
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 tv <tv> 0.19.0-1.mga3
+ Revision: 338936
- new release

* Fri Dec 21 2012 tv <tv> 0.18.99.1-1.mga3
+ Revision: 333609
- 0.19.0 RC1

* Wed Nov 14 2012 tv <tv> 0.18.0-1.mga3
+ Revision: 317943
- new release

* Sat Sep 08 2012 tv <tv> 0.17.0-1.mga3
+ Revision: 290216
- new release

* Thu Sep 06 2012 tv <tv> 0.16.1-2.mga3.nonfree
+ Revision: 288930
- rebuild for new xserver
- fix URL

* Tue Aug 28 2012 tv <tv> 0.16.1-1.mga3
+ Revision: 284658
- new release

* Fri Jun 08 2012 fwang <fwang> 0.15.0-1.mga3
+ Revision: 257313
- new version 0.150

* Wed Jun 06 2012 tmb <tmb> 0.13.0-4.mga3
+ Revision: 256349
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 0.13.0-3.mga3
+ Revision: 252994
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 0.13.0-2.mga3
+ Revision: 249828
- rebuild for new X.org server

* Tue Feb 14 2012 tv <tv> 0.13.0-1.mga2
+ Revision: 208505
- new release

* Wed Dec 21 2011 fwang <fwang> 0.12.0-2.mga2
+ Revision: 185351
- do not obsoletes new package

* Wed Dec 21 2011 fwang <fwang> 0.12.0-1.mga2
+ Revision: 185344
- new version 0.12.0

* Tue Dec 06 2011 tmb <tmb> 0.11.0-4.mga2
+ Revision: 177452
- submit to core/release

* Sat Oct 08 2011 tv <tv> 0.11.0-3.mga2
+ Revision: 153299
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 0.11.0-2.mga2
+ Revision: 153085
- rebuild for xserver-1.11

* Thu Jun 16 2011 tv <tv> 0.11.0-1.mga2
+ Revision: 108389
- BuildRequires: udev-devel
- new release

* Thu Mar 24 2011 boklm <boklm> 0.10.11-3.mga1
+ Revision: 76220
- rebuild for bug #497

* Fri Mar 04 2011 tv <tv> 0.10.11-2.mga1
+ Revision: 64384
- rebuild for new xserver-1.10

* Fri Mar 04 2011 tv <tv> 0.10.11-1.mga1
+ Revision: 63981
- new release (fix running with xserver-1.10)

* Wed Feb 09 2011 ennael <ennael> 0.10.10-1.mga1
+ Revision: 49556
- imported package x11-driver-input-wacom

